Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2023-10-25 09:52:56

0001 #!/bin/bash
0002 
0003 # Pass in name and status
0004 function die {
0005   printf "\n%s: status %s\n" "$1" "$2"
0006   if [ $# -gt 2 ]; then
0007     printf "%s\n" "=== Log File =========="
0008     cat $3
0009     printf "%s\n" "=== End of Log File ==="
0010   fi
0011   exit $2
0012 }
0013 
0014 if [ -z "${SCRAM_TEST_PATH}" ]; then
0015   printf "\n%s\n\n" "ERROR -- environment variable SCRAM_TEST_PATH not defined"
0016   exit 1
0017 fi
0018 
0019 # run test job
0020 exeDir="${SCRAM_TEST_PATH}"/../scripts/utils
0021 
0022 "${exeDir}"/hltMenuContentToCSVs /dev/CMSSW_13_0_0/GRun \
0023   --meta "${exeDir}"/hltPathOwners.json &> test_hltMenuContentToCSVs_log \
0024   || die "Failure running hltMenuContentToCSVs" $? test_hltMenuContentToCSVs_log